### Method

# Clutter Actor set_width

#### Declaration [src]

    void
    clutter_actor_set_width (
      ClutterActor* self,
      gfloat width
    )

#### Description [src]

Forces a width on an actor, causing the actor’s preferred width and height (if any) to be ignored.

If `width` is -1 the actor will use its preferred width request instead of overriding it, i.e. you can “unset” the width with -1.

This function sets both the minimum and natural size of the actor.

Sets property | `Clutter.Actor:width`

#### Parameters

`width`

  Type: `gfloat`

  Requested new width for the actor, in pixels, or -1.